package com.dsk.web.controller.search.service;

import com.dsk.common.core.domain.AjaxResult;
import com.dsk.common.dtos.ComposeQueryDto;

/**
 * @Author liujie
 * @ClassName MarketAnalysisService
 * @Date 2023/5/15 16:39
 **/
public interface MarketAnalysisService {

    AjaxResult areaGroupByProvince();

    AjaxResult certGroupByMajorAndLevel();

    AjaxResult certGroupByMajorProvinceLevel();

    AjaxResult countGroupByProvince(ComposeQueryDto compose);

    AjaxResult countGroupByMonth(ComposeQueryDto compose);
}
